%global glib2_version 2.44
%global gtk3_version 3.20

Summary:        Spell-checking library for GTK+
Name:           gspell
Version:        1.12.2
Release:        2%{?dist}
License:        LGPLv2+
URL:            https://wiki.gnome.org/Projects/gspell
Source0:        https://download.gnome.org/sources/%{name}/1.12/%{name}-%{version}.tar.xz

BuildRequires:  make
BuildRequires:  gettext gobject-introspection-devel vala
BuildRequires:  pkgconfig(enchant-2) pkgconfig(iso-codes)
BuildRequires:  pkgconfig(glib-2.0) >= %{glib2_version} pkgconfig(gtk+-3.0) >= %{gtk3_version}
Requires:       glib2 >= %{glib2_version} gtk3 >= %{gtk3_version}
Requires:       iso-codes

%description
This package provides a flexible API to implement the spell checking in a GTK+ application.


%package        devel
Summary:        Development files for %{name}
Requires:       %{name} = %{version}-%{release}

%description    devel
This package contains libraries and header files for developing applications that use %{name}.


%prep
%autosetup


%build
%configure --disable-static
%make_build


%install
%make_install
find %{buildroot} -name '*.la' -delete

%find_lang gspell-1


%files -f gspell-1.lang
%license COPYING
%doc NEWS README.md
%{_libdir}/girepository-1.0/
%{_libdir}/libgspell-1.so.2*

%files devel
%{_bindir}/gspell-app1
%{_includedir}/gspell-1/
%{_libdir}/libgspell-1.so
%{_libdir}/pkgconfig/gspell-1.pc
%{_datadir}/gir-1.0/
%{_datadir}/vala/
%{_datadir}/gtk-doc/


%changelog
* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.12.2-2
- Rebuilt for OpenCloudOS Stream 23.09

* Mon Aug 28 2023 rockerzhu <rockerzhu@tencent.com> - 1.12.2-1
- Upgrade to 1.12.2 and rebuit with icu 73.2.

* Fri Aug 18 2023 Wang Guodong <gordonwwang@tencent.com> - 1.12.0-4
- Rebuilt for enchant2 2.5.0

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.12.0-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.12.0-2
- Rebuilt for OpenCloudOS Stream 23

* Thu Dec 1 2022 Wang Guodong <gordonwwang@tencent.com> - 1.12.0-1
- package init.
